using System;
using Microsoft.Web.Services2;
using Microsoft.Web.Services2.Security.Tokens;
using Microsoft.Web.Services2.Security.X509;


public class Certificate
{
	public static string clientCert = "Peter Piper";
	public static string bankCert = "First Bank";

	public static X509Certificate GetCertificate(string subjectString)
	{
		X509CertificateStore store = X509CertificateStore.CurrentUserStore(X509CertificateStore.MyStore);
		
		bool open = store.OpenRead();
		if (open == false)
			return null;

		X509CertificateCollection certs = store.FindCertificateBySubjectString(subjectString);
		store.Close();
		X509Certificate cert = (X509Certificate)certs[0];

		return cert;
	}
}