using System;
using System.Xml;
using Microsoft.Web.Services2;
using Microsoft.Web.Services2.Addressing;
using Microsoft.Web.Services2.Messaging;

class LoanServiceHost
{
    static void Main(string[] args)
    {
        try 
        {
			Uri uri = new Uri("soap.tcp://localhost/LoanService");
			EndpointReference er = new EndpointReference(uri);

			SoapReceivers.Add(er, typeof(LoanService));
			Console.WriteLine( "Listening for messages at " + er.Address.Value);                     
        }
        catch (Exception ex)
        {
            Console.WriteLine(ex.Message);           
        }             

        //
        // Wait for a final key press to close the application.
        //
        Console.WriteLine( "" );
        Console.WriteLine("Press any key to exit when done...");
        Console.WriteLine( "" );
        Console.ReadLine();
    }   
} 
