using System;
using System.Web.Services.Protocols;
using System.Security.Principal;
using Microsoft.Web.Services2.Security.Tokens;

public class LoanServiceUsernameTokenManager : UsernameTokenManager
{
   protected override string AuthenticateToken(UsernameToken token)
   {
		// look up password in database
		// don't ever even think about storing passwords in real code
		GenericIdentity generic = new GenericIdentity(token.Username);
		token.Principal = new GenericPrincipal(generic, null);

		switch(token.Username)
		{
			case "peter":
				return "peterpassword";
			case "mary":
				return "marypassword";
			default:
				throw new SoapException("Invalid user", SoapException.ClientFaultCode);
		}
			   
   }	
}
